Skip to main content
POST
/
v0
/
lending
/
reserve
/
{market}
/
{reserve}
/
repay-with-collateral
Repay With Collateral
curl --request POST \
  --url https://kamino.dial.to/api/v0/lending/reserve/{market}/{reserve}/repay-with-collateral \
  --header 'Content-Type: application/json' \
  --data '
{
  "type": "transaction",
  "account": "6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176"
}
'
import requests

url = "https://kamino.dial.to/api/v0/lending/reserve/{market}/{reserve}/repay-with-collateral"

payload = {
    "type": "transaction",
    "account": "6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176"
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({type: 'transaction', account: '6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176'})
};

fetch('https://kamino.dial.to/api/v0/lending/reserve/{market}/{reserve}/repay-with-collateral', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "type": "<unknown>",
  "transaction": "<string>",
  "links": {
    "next": {
      "type": "<string>",
      "href": "<string>"
    }
  },
  "dialectExperimental": {
    "reference": "<string>"
  }
}

Path Parameters

market
string
default:7u3HeHxYDLhnCoErrtycNokbQYbWGzLs6JSDqGAv5PfF
required

Market public key

reserve
string
default:D6q6wuQSrifJKZYpR1M8R4YawnLDtDsMmWM1NbBmgJ59
required

Debt reserve public key

Query Parameters

collateral
string
default:So11111111111111111111111111111111111111112
required

Collateral reserve mint public key

percentage
integer
default:10

The percentage of borrowed amount to repay

Required range: 0 <= x <= 100
amount
number

The amount to repay. Human readable value, e.g. 0.1 SOL

Required range: x >= 0

Body

application/json
type
enum<string>
default:transaction
required
Available options:
transaction
account
string
default:6JpNV6DK88auwzKVizdeT4Bw3D44sam5GqjcPCJ7y176
required

The public key of the account that executes the transaction

Response

200 - application/json

OK

type
any
required
transaction
string
required
dialectExperimental
object